using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Simulation.Battery.RayLaser
{
    public class Gage:INotifyPropertyChanged
    {
        public FLY.Simulation.Flyad7.FLYAD7 FlyAdRay { get; private set; }
        public FLY.Simulation.Flyad7.FLYAD7 FlyAdLaser { get; private set; }

        public GageAd GageAd { get; private set; } = new GageAd();
        public GageAd_Ray GageAdRay { get; private set; } = new GageAd_Ray();
        public GageAd_Laser GageAdLaser { get; private set; } = new GageAd_Laser();
        public Gage() { 
            
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void Init() {

            GageAd.Init();
            GageAdRay.Init(GageAd);
            GageAdLaser.Init(GageAd);

            FlyAdRay = new Flyad7.FLYAD7("flyad_ray.json");
            FlyAdLaser = new Flyad7.FLYAD7("flyad_laser.json");

            FlyAdRay.Init(GageAdRay);
            FlyAdLaser.Init(GageAdLaser);
        }
    }
}
